// ako uradim za 300 Anja Milosevic mora da se uda za mene iskreno

#include <bits/stdc++.h>

using namespace std;

int n,m,A[1510][1510],U[3020];
long long u,b;

int main()
{
    scanf("%d %d",&n,&m);
    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=m; j++)
        {
            scanf("%d",&A[i][j]);
        }
    }
    for(int c=1; c<=1000000000; c*=2)
    {
        for(int i=1; i<=n; i++)
        {
            for(int j=1; j<=m; j++)
            {
                if(c&A[i][j]) U[i+j]++;
            }
        }
        b = 0;
        for(int i=2; i<=n+m; i++)
        {
            if(U[i]&1) b++;
            U[i] = 0;
        }
        b = min(b,n+m-1-b);
        u += b*c;
    }
    printf("%lld\n",u);
    return 0;
}